Subject: Re: GCC Internal Compiler Error When Compiling with -pipe
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Todd Goodman" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Wed, 3 Mar 1999 13:51:46 -0500

There is no egcs 1.2 and will not be for a long time to come.  The
present one from Mumit is egcs 1.1.1 and up-comming one will be
egcs-1.1.2

----- Original Message -----
From: Todd Goodman <[email-masked]>
To: 'Chris Faylor' <[email-masked]>; 'Mumit Khan'
<[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, March 03, 1999 1:22 PM
Subject: RE: GCC Internal Compiler Error When Compiling with -pipe

>/usr/H-i586-cygwin32/bin> uname -a
>CYGWIN_NT-4.0 TGOODMAN8 20.1 (0.3/1/1) 1998-12-3 20:39:18 i686 unknown
>/usr/H-i586-cygwin32/bin> gcc -v
>Reading specs from
>f:\usr\H-i586-cygwin32\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\sp
ecs
>gcc version egcs-2.91.57 19980901 (egcs-1.1 release)
>/usr/H-i586-cygwin32/bin>
>
>Is it the wrong compiler version?
>
>I guess I'll try the egcs-1.2 release soon and see if that changes the
>behaviour.
>
>Todd
>
>> -----Original Message-----
>> From: [email-masked]
>> [mailto:[email-masked]]On Behalf Of Chris Faylor
>> Sent: Tuesday, March 02, 1999 10:13 PM
>> To: Mumit Khan
>> Cc: [email-masked]
>> Subject: Re: GCC Internal Compiler Error When Compiling with -pipe
>>
>>
>> On Sun, Feb 28, 1999 at 10:37:18PM -0600, Mumit Khan wrote:
>> >[email-masked] writes:
>> >> In a message dated 2/28/99 8:18:03 AM Pacific Standard Time,
>> >> [email-masked] writes:
>> >>
>> >> << gcc -DHAVE_CONFIG_H -I. -I. -I..   -g -O2 -Wall -pipe
>> -c capability.c
>> >>  /home/noer/src/b20/comp-tools/devo/gcc/pexecute.c:245:
>> Internal compiler
>> >>  error in function pexecute >>
>> >> I haven't seen this problem since b20.1, although I've had
>> configure failures
>> >> associated with setting CFLAGS '... -pipe'
>> >
>> >I couldn't reproduce Todd's problem, so hopefully that
>> particular one is
>> >fixed.  We still have a few more cases that I'm tracking down ...
>> >
>> >The quality of upcoming egcs-1.1.2 is heaps better as compared to
b20
>> >in terms of stability and "un-crashability".
>>
>> The -pipe problem should have been fixed in B20.1.  I
>> submitted a patch for
>> it myself.
>>
>> cgf
>>
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>>
>>
>
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]